lensfun 0.3.1.0

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Members

Public Attributes | List of all members
lfLensCalibVignetting Struct Reference
Structures and functions for lenses

Lens vignetting calibration data. More...

`#include <lensfun.h>`

## Public Attributes
enum lfVignettingModel | Model
| The lens vignetting model used.
float | Focal
| Focal length in mm at which this calibration data was taken.
float | Aperture
| Aperture (f-number) at which this calibration data was taken.
float | Distance
| Focus distance in meters.
float | Terms [3]
| Lens vignetting model coefficients (depending on model)

## Detailed Description

Lens vignetting calibration data.

Vignetting depends on focal length, aperture and focus distance. The library will interpolate the coefficients if data for the exact focal length, aperture, and focus distance is not available.

The documentation for this struct was generated from the following file:

- lensfun.h